<!DOCTYPE html>
<html lang="cs">

<head>
    <meta charset="UTF-8" />
    <meta content="EndeavourOS svobodný operační systém...." name="description" />
    <meta content="EndeavourOS, ArchLinux, Pacman commands" name="keywords" />
    <meta content="Kankys" name="author" />

    <meta content="width=device-width, initial-scale=1.0" name="viewport" />
    <link href="assets/style.css" rel="stylesheet" />
    <link href="/img/icons.png" rel="shortcut icon" />
    <script crossorigin="anonymous" src="https://kit.fontawesome.com/0a43c6cd1f.js"></script>
    <!--icons dark, go to up-->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" rel="stylesheet" />

    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS - Linux pacman příkazy</title>
</head>

<body>
    <?php require 'assets/header.php'; ?>
    <main>
        <section class="welcome">
            <h1>Linux pacman příkazy</h1>
            <p>Pacman je nedílnou součástí Arch Linuxu a distribucí na Arch Linuxu založených.</p>
            <p>V tomto článku se zaměříme na příkazy pacman, co dělají či k čemu slouží. Příkazy pacman zapisujeme do
                terminálu či multiplexoru jako například můj oblíbený Zellij, Tmux či velmi oblíbený u spousty uživatelů
                Tilix.</p>
            <p>POZNÁMKA: vždy před příkazem pacman musíme použít sudo. V příkazech níže ho nebudu stále dokola opakavot
                (v některých případech třeba při použití příkazu su se také nemusí použít, ale mi ho použijeme!). Tak
                například u příkazu pacman -Syu do terminálu zapíšeme <strong>sudo pacman -Syu</strong>.</p>
            <p>Vždy kdy si nebudete vědět použíjte za příkazem -h, například <strong>pacman -h</strong> a zobrazí se vám
                nápověda v češtině.</p>
            <p><img src="img/pacman-guide-for-arch-linux.jpg" style="width: 65%;height: auto;" alt=""></p>
            <h2>Package Installation, Update, Remove</h2>
            <h3>Instalace balíčku, povýšení balíčku a odebrání balíčků</h3>
            <div class="code-box">
                <pre id="code-content">
    pacman -S <název balíčků>  # nainstaluje balíček a další potředné soubory
    pacman -U /path/to/package.pkg.tar.zst # nainstaluje balíček lokálně uložený ve vašem pc
    pacman -Syu # vyhledá a aktualizuje všechny vaše balíčky které mají novější verzi
    pacman -Syu --ignore <název balíčků> # vyhledá a aktualizuje všechny balíčky mimo těch co jsou uvedeny za --ignore
    pacman -S <název balíčku>=<verze balíčku> # nainstaluje balíček podle názvu a verze kterou potřebujete
    pacman -R <název balíčků> # odebere balíček bez dalších potřebných balíčků které se sním nainstalovali
    pacman -Rs <název balíčků> # odebere balíček i s dalšími který se sníěm nainstalovali pokud nejsou potřeba pro jiný nainstalovaný balíček
    pacman -Rns $(pacman-Qdtq) # odstrání nepotřebné součásti nainstalovaných balíčků
    pacman -Rdd <název balíčků> # odebere komplet balíček bez dalších potřebných balíčků
    pacman -Sc # odebere staré verze balíčků i staré verze balíčků v cache
    pacman -Scc # Odstraní všechny balíčky z cache, které nejsou aktuálně nainstalovány.
        </pre>
            </div>
            <h2>Package Search</h2>
            <h3>Vyhledávání balíčků</h3>
            <div class="code-box">
                <pre id="code-content">
    pacman -Sy # stahuje aktualizované seznamy balíčků z každého konfigurovaného repozitáře
    pacman -Ss <název hledaného balíčku> # zobrazí všechny shody hledaného balíčku v repozitářích
    pacman -Qs <název balíčků> # vyhledá všechny balíčky co se shodují s názvem které máte nainstalované, může se hodit pojud některé balíčky používáte ve více verzích
    pacman -F <název balíčků> # zobrazí všechny verze balíčku v repozitářích tak i co máte nainstalované
        </pre>
            </div>
            <h2>Package Information Query</h2>
            <h3>Informace o balíčkách</h3>
            <div class="code-box">
                <pre id="code-content">
    pacman -Q # vypíše všechny názvy nainstalovaných balíčků a jejich verzi
    pacman -Ql <název balíčků> # vypíše všechny součásti na instalovaného balíčku a cestu k nim
    pacman -Qo /cesta/k souboru/ # Po spuštění tohoto příkazu Pacman prohledá databázi nainstalovaných balíčků a vrátí informaci o tom, kterému balíčků patří zadaný soubor
    pacman -Qe # výstup tohoto příkazu bude seznam názvů balíčků, které jste explicitně nainstalovali.
    pacman -Si <název balíčků> # zobrazí detailní informace o balíčků, jako verzi, velikost, závislosti atd.
    pacman -Qi <název balíčků> # zobrazí detailní informace o balíčků, jako verzi, velikost, závislosti atd u nainstalovaného balíčků. Navíc zobrazí informace o instalaci balíčků jako kdy byl instalován
    pacman -Qdt # výstup tohoto příkazu bude seznam názvů balíčků, které jsou označeny jako orphaned. Tento seznam může být užitečný při čištění systému od nepotřebných balíčků a uvolnění místa na disku.
        </pre>
            </div>
            <p><code><a href="https://lukaskanka.cz/" target="_blank">Kankys</a> 03.12.2024</code></p>
        </section>
    </main>
    <?php require 'assets/returnbutton.php'; ?>
    <?php require 'assets/footer.php'; ?>
    <script src="assets/script.js"></script>
</body>

</html>